#605 closed defect (fixed)

mips cpu.c uses C++ style comments

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: lowest Milestone: 2
Component: bsps Version: 4.6
Severity: normal Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

Synopsis sums it up. Filing a PR to track the following patch since this is also on the 4.6 branch.

diff -u -r1.18.2.1 cpu.c
--- cpu.c 4 Sep 2003 18:47:30 -0000 1.18.2.1
+++ cpu.c 9 Apr 2004 14:49:38 -0000
@@ -99,7 +99,7 @@

mips_get_sr(sr);

  • printf("current sr=%08X, ",sr);

+ /* printf("current sr=%08X, ",sr); */

#if mips == 3
/* EXL bit and shift down hardware ints into bits 1 thru 6 */

@@ -112,7 +112,7 @@

#else
#error "CPU ISR level: unknown MIPS level for SR handling"
#endif

  • printf("intlevel=%02X\n",sr);

+ /* printf("intlevel=%02X\n",sr); */

return sr;

}

Release:
RTEMS-4.6 and CVS

Change History (1)

comment:1 Changed on Apr 9, 2004 at 1:52:44 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Patch committed to 4.6 and trunk.

Note: See TracTickets for help on using tickets.